;+
; NAME:
;	CORRECTEMPTYBUFF
;
; PURPOSE:
;	Takes buffer of comma delimited data and forces 0 into empty spots ",,"
;
;
; CATEGORY:
;	Read routine. 
;
; CALLING SEQUENCE:
;	newbuff = CORRECTEMPTYBUFF(buff)
;
; INPUTS:
;   buff		String with comma delimited numbers
;
; OUTPUTS:
;   buff		Corrected buffer
;
; KEYWORD PARAMETERS:

;                       Copyright (C) 2011
; The Johns Hopkins University Applied Physics Laboratory (JHU/APL)
;                       All rights reserved
;
; This material may be used, modIFied or reproduced by or FOR the
; U.S. Government pursuant to the license rights granted under
; the clauses at DFARS 252.227-7013/7014.
;
; CREATION:
;       11 May 2011, M.B. Kusterer 
;
; MODIFICATION HISTORY:
;-
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
PRO TEST_C

	buff = '0,1,2,3,4,,6,7,8,9,,11,13,15,,15,16'
	print,buff
	print,CORRECTEMPTYBUFF( buff)
	
RETURN
END

FUNCTION CORRECTEMPTYBUFF, buff

	pos = STRPOS(buff,',,')
	IF pos[0] NE -1 THEN BEGIN
		done=0
		WHILE done NE 1 DO BEGIN
			p = STRPOS(buff,',,')
			IF p[0] NE -1 THEN BEGIN
				buff = STRMID(buff,0,p[0]+1)+'0'+STRMID(buff,p[0]+1)
			ENDIF ELSE  BEGIN
				done=1
			ENDELSE
		ENDWHILE
	ENDIF

RETURN,buff
END
