;+
; NAME:
;	JSECS2UTC
;
; PURPOSE:
;	Convert julian seconds into UTC  
;   
; NOTE: 
;
; CATEGORY:
;	Plotting Structure File. 
;
; CALLING SEQUENCE:
;	utc = JSECS2UTC( jsecs)
;
; INPUTS:
;   utc     String UTC, yyyy-doyThh:mm:ss.msc
;
; KEYWORD PARAMETERS:
;
;
;
;
;                       Copyright (C) 2011
; The Johns Hopkins University Applied Physics Laboratory (JHU/APL)
;                       All rights reserved
;
; This material may be used, modified or reproduced by or for the
; U.S. Government pursuant to the license rights granted under
; the clauses at DFARS 252.227-7013/7014.
;
; CREATION:
;       1 Jun 2011, M.B. Kusterer 
;
; MODIFICATION HISTORY: 
;-
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
PRO TEST_JSU

    utcs = ['1999-001T12:00:00',$
	'2000-001T11:58:55.444',$
	'2000-001T00:00:00',$
	'2005-365T23:59:59.999',$
	'2006-001T00:00:00.000',$
	'2008-366T23:59:59.999',$
	'2009-001T00:00:00.000',$
	'2011-200T12:02:33.555',$
	'2018-200T12:20:15.234']
    FOR n=0,N_ELEMENTS(utcs)-1 DO BEGIN
        jsecs = UTC2JSECS(utcs[n])
        print,utcs[n],jsecs,JSECS2UTC(jsecs),format='(A23,F23.8,A23)'
    ENDFOR

rETURN
END

FUNCTION JSECS2UTC, jsecs

    ;adjust julian seconds 0:00 1 Jan 2000 and adjust to get 12 noon
    JS2YMDS, jsecs+60.d*60.d*12.d, y, m, d, h, mn, s, msec, /SETMSEC
    doy = YMD2DN(y, m, d)
    
    utc = NUM2STR(y)+'-'+NUM2STR(doy,SLONG=3)+'T'+NUM2STR(h,SLONG=2)+':'+$
        NUM2STR(mn,SLONG=2)+':'+NUM2STR(s,SLONG=2)+'.'+NUM2STR(msec*1000d,slong=3)
        
    RETURN,utc
END
