;+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; Program Name:	pds_data_hdr_h.pro
;
; Description:	Header file containing column indexes of data header locations in data array
;
; Input:   
;
; Output:
;
; Notes:
;                       Copyright (C) 2011
; The Johns Hopkins University Applied Physics Laboratory (JHU/APL)
;                       All rights reserved
;
; This material may be used, modIFied or reproduced by or FOR the
; U.S. Government pursuant to the license rights granted under
; the clauses at DFARS 252.227-7013/7014.
;
;       	
; Change History:
;
; Date		Rev	Programmer	Comments
; ----		---	----------	--------
; 01 Oct 2010, M.B. Kusterer original
; 14 Nov 2011, M.B. Kusterer Corrected for changes to PDS data.
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;DATA HEADER INDEXES
DATA_SCLK_SECS_C  = 0
DATA_ET_SECS_C  = 1
END_DATA_ET_SECS_C  = 2
SPIN_COUNTER_C = 3
SECTOR_NUMBER_C = 4
START_SECTOR_SCLK_C = 5
SUBSECTOR_NUMBER_C = 6
MICROSECTORS_COVERED_C = 7
SPIN_PERIOD_C_C = 8
SPINSTAR_MODE_C =  9
SENSOR_BITRATE_C = 10

MAX_LEMMSPHA_DET=3 	        ; lemms pha number of detectors */
MAX_LEMMSPHA_NORM=60	    ; lemms pha number of normal ener. channels */
MAX_LEMMS_NORMAL_CNTRS=60	; number of LEMMS normal counters  */
MAX_LEMMSPHA_PRIO=4	        ; lemms pha number of priority ener. channels */
LEMMS_NUM_BACKGROUNDS=35	; arbitrary max number of background values for 
							;lemms, based on number of dates
MAX_SCIENCEBASIC_RATE= 41
MAX_DPPS=32

NUM_SPATIAL_SPECIES =2
NUM_SPATIAL_CHARGES =1
NUM_SPATIAL_TOF =2

NUM_TIME_SPECIES =1
NUM_TIME_CHARGES =2
NUM_TIME_TOF =2

NUM_TOF_SPECIES =2
NUM_TOF_TOF =8
NUM_TOF_CHARGES =2

NUM_INCA_GF_SPECIES =2
NUM_INCA_GF_DATATYPES =2
