;+
; NAME:
;	PDS_GET_IMAGE_CALFILENAMES
;
; PURPOSE:
;	Just sets up image calibration filenames

; CATEGORY:
;	Support IO Routine. 
;
; CALLING SEQUENCE:
;	PDS_GET_IMAGE_CALFILENAMES,
;
;
; INPUTS:
;   
; KEYWORD PARAMETERS:
;
;                       Copyright (C) 2010
; The Johns Hopkins University Applied Physics Laboratory (JHU/APL)
;                       All rights reserved
;
; This material may be used, modified or reproduced by or for the
; U.S. Government pursuant to the license rights granted under
; the clauses at DFARS 252.227-7013/7014.
;
; CREATION:
;       14 Feb 2011, M.B. Kusterer 
;
; MODIFICATION HISTORY:
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
PRO PDS_GET_IMAGE_CALFILENAMES,hispat_loTOF_neu_H_calfl,$
							hispat_loTOF_neu_O_calfl,$
							hispat_hiTOF_neu_H_calfl,$
							hispat_hiTOF_neu_O_calfl,$
							hitime_loTOF_neu_calfl,$
							hitime_hiTOF_neu_calfl,$
							hitime_loTOF_ion_calfl,$
							hitime_hiTOF_ion_calfl,$
							himTOF_neu_H_calfl,$
							himTOF_neu_O_calfl,$
							himTOF_ion_H_calfl,$
							himTOF_ion_O_calfl
	
	
	hispat_loTOF_neu_H_calfl = '64x64_tof3_h.csv'
	hispat_loTOF_neu_O_calfl = '64x64_tof3_o.csv'
	hispat_hiTOF_neu_H_calfl = '32x32_tof45_h.csv'
	hispat_hiTOF_neu_O_calfl = '32x32_tof45_o.csv'
	
	hitime_loTOF_neu_calfl = '32x32_tof3_h.csv'
	hitime_hiTOF_neu_calfl = '32x32_tof45_h.csv'
	hitime_loTOF_ion_calfl = '32x32_tof3_h.csv'
	hitime_hiTOF_ion_calfl = '32x32_tof45_h.csv'
	
	himTOF_neu_H_calfl=STRARR(8)
	himTOF_neu_H_calfl[0] = '16x16_tof0_h.csv'
	himTOF_neu_H_calfl[1] = '16x16_tof1_h.csv'
	himTOF_neu_H_calfl[2] = '16x16_tof2_h.csv'
	himTOF_neu_H_calfl[3] = '16x16_tof3_h.csv'
	himTOF_neu_H_calfl[4] = '16x16_tof4_h.csv'
	himTOF_neu_H_calfl[5] = '16x16_tof5_h.csv'
	himTOF_neu_H_calfl[6] = '16x16_tof6_h.csv'
	himTOF_neu_H_calfl[7] = '16x16_tof7_h.csv'
	
	himTOF_neu_O_calfl=STRARR(8)
	himTOF_neu_O_calfl[0] = '16x16_tof0_o.csv'
	himTOF_neu_O_calfl[1] = '16x16_tof1_o.csv'
	himTOF_neu_O_calfl[2] = '16x16_tof2_o.csv'
	himTOF_neu_O_calfl[3] = '16x16_tof3_o.csv'
	himTOF_neu_O_calfl[4] = '16x16_tof4_o.csv'
	himTOF_neu_O_calfl[5] = '16x16_tof5_o.csv'
	himTOF_neu_O_calfl[6] = '16x16_tof6_o.csv'
	himTOF_neu_O_calfl[7] = '16x16_tof7_o.csv'
	
	himTOF_ion_H_calfl=STRARR(8)
	himTOF_ion_H_calfl[0] = '8x8_tof0_h.csv'
	himTOF_ion_H_calfl[1] = '8x8_tof1_h.csv'
	himTOF_ion_H_calfl[2] = '8x8_tof2_h.csv'
	himTOF_ion_H_calfl[3] = '8x8_tof3_h.csv'
	himTOF_ion_H_calfl[4] = '8x8_tof4_h.csv'
	himTOF_ion_H_calfl[5] = '8x8_tof5_h.csv'
	himTOF_ion_H_calfl[6] = '8x8_tof6_h.csv'
	himTOF_ion_H_calfl[7] = '8x8_tof7_h.csv'
	
	himTOF_ion_O_calfl=STRARR(8)
	himTOF_ion_O_calfl[0] = '8x8_tof0_o.csv'
	himTOF_ion_O_calfl[1] = '8x8_tof1_o.csv'
	himTOF_ion_O_calfl[2] = '8x8_tof2_o.csv'
	himTOF_ion_O_calfl[3] = '8x8_tof3_o.csv'
	himTOF_ion_O_calfl[4] = '8x8_tof4_o.csv'
	himTOF_ion_O_calfl[5] = '8x8_tof5_o.csv'
	himTOF_ion_O_calfl[6] = '8x8_tof6_o.csv'
	himTOF_ion_O_calfl[7] = '8x8_tof7_o.csv'



RETURN
END
