
; NAME:
;	PDS_GET_PHITHETA_SHIFTDEG
;
; PURPOSE:
;	Return the phi and theta shift values in degrees for the imagesized passed.
;   
; NOTE: 
;
; CATEGORY:
;	Correction Routine 
;
; CALLING SEQUENCE:
;	PDS_GET_PHITHETA_SHIFTDEG, phi, theta, az_shift, el_shift
;
; INPUTS:
;
;   phi         phi offset of image if imagesize is 64
;   theta       theta offset of image if imagesize is 64
;
; RETURNS
;   phi_shift    shift in degrees in azimuth from center of image
;   theta_shift    shift in degrees in elevation from the center of image

; KEYWORD PARAMETERS:
;
;
;                       Copyright (C) 2004
; The Johns Hopkins University Applied Physics Laboratory (JHU/APL)
;                       All rights reserved
;
; This material may be used, modified or reproduced by or for the
; U.S. Government pursuant to the license rights granted under
; the clauses at DFARS 252.227-7013/7014.
;
; CREATION:
;       02 June 2008, M.B. Kusterer 
;
; MODIFICATION HISTORY:
;-
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
PRO TEST_SHIFT, imagesize, phi, theta

print,'for imagesize ',imagesize
print,'old ',phi*(imagesize/64.0),' ',theta*(imagesize/64.0)

PDS_GET_PHITHETA_SHIFTDEG, phi, theta, phi_shift, theta_shift

print,'new ',phi_shift, theta_shift

REtURN
END

PRO PDS_GET_PHITHETA_SHIFTDEG, phi, theta, phi_shift, theta_shift

    IF phi NE 0. OR theta NE 0. THEN BEGIN
        theta_shift = theta * 120. /64.   ;theta
        phi_shift = phi * 90./64.   ;phi
    ENDIF ELSE BEGIN    
        phi_shift = 0.
        theta_shift = 0.
    ENDELSE
RETURN
END
