;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;+
; NAME:
;	PDS_IDLSTARTUP
;
; PURPOSE:
;	Startup code for Cassini/MIMI PDS data read routines. Sets 
;   up the paths to locate the routines. It is likely that the PDS MIMI 
;   data user will not need this file, it is only needed by MIMI personnel to 
;   compile the IDL virtual machine code.
;
; NOTE:
;	This routine depends on the environmental variable IDL_DIR being set to the 
;	directory of the MIMI IDL files. This is done in
;	the setup.pro routine. The user should edit the setup file to point to their paths.
;
;
; CATEGORY:
;	Startup routine
;
;
;                       Copyright (C) 2011
; The Johns Hopkins University Applied Physics Laboratory (JHU/APL)
;                       All rights reserved
;
; This material may be used, modified or reproduced by or FOR the
; U.S. Government pursuant to the license rights granted under
; the clauses at DFARS 252.227-7013/7014.
;
; CREATION:
;       20 May 2011, M.B. Kusterer 
;
; MODIFICATION HISTORY:
;-
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
device,true_color=24
device,decomp=0
!edit_input=2000
r = GETENV("MIMI_IDL_DIR")
p = !path

!path =r+"idl/pds:"+p

!QUIET=-1
;-------  Fix arrow key problem  --------------
DEFINE_KEY, ESC=string([27B, 79B, 68B]), 'ALT_L', /BACK_CHAR
DEFINE_KEY, ESC=string([27B, 79B, 67B]), 'ALT_R', /FORWARD_CHAR
DEFINE_KEY, ESC=string([27B, 79B, 65B]), 'ALT_UP', /PREVIOUS_LINE
DEFINE_KEY, ESC=string([27B, 79B, 66B]), 'ALT_DN', /NEXT_LINE

;set up environmental variables and read in leap second kernel
print,'Running setup'
SETUP
