;+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; Program Name:	pds_image_hdr_h.pro
;
; Description:	Header file containing column indexes of inca image header locations in data array
;
; Input:   
;
; Output:
;
; Notes:
;       	
; Change History:
;
; Date		Rev	Programmer	Comments
; ----		---	----------	--------
; 13 April 1999    	M.B. Kusterer   original
; 21 July 1999    	M.B. Kusterer   Added some image type, charge, specie defines
;                                   from mimi_consts.h
; 07 Oct 2005    	M.B. Kusterer   Switched the indexes for phi and theta since they were wrong! 
; 17 Oct 2005    	M.B. Kusterer   Switched the indexes back since I corrected read code! 
; 14 Nov 2011, M.B. Kusterer Corrected for changes to PDS data.
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;INCA IMAGE HEADER INDEXES
IMAGETYPEID_C = 11
ROW_ID_C = 12
NUMROWS_C = 13
NUMCOLS_C= 14
COMPRESSIONINFO_C = 15
LOSSCOMP_C = 16
LOG16TO8_C = 17
THETAOFFSET_C = 18
PHIOFFSET_C = 19
TYPE_C = 20
CHARGE_C = 21
SPECIE_C=  22
TOF_C= 23


;*******************************************************************************
; BitRate Types in subpacket header
;*******************************************************************************/
SUBPACKHDR_VERYLOW = 1
SUBPACKHDR_LOW =  2
SUBPACKHDR_MEDIUM  =  3
SUBPACKHDR_HIGH	 =  4
SUBPACKHDR_VERYHIGH =  5


;*******************************************************************************
; INCA Image Data ID Types in subpacket header
;*******************************************************************************/
IMAGETYPE_HIGHSPATIAL = 0
IMAGETYPE_HIGHTIME = 1
IMAGETYPE_HIGHMTOF = 2

IMAGECHARGE_NEUTRAL =  0
IMAGECHARGE_ION	 =  1

IMAGESPECIE_H = 0
IMAGESPECIE_HE =  1
IMAGESPECIE_CNO = 2
IMAGESPECIE_HEAVY =  3
IMAGESPECIE_OTHER  = 4
IMAGESPECIE_ALL =  5

IMAGETOF_LOW = 0
IMAGETOF_HIGH = 7

