;+
; NAME:
;	PDS_LOAD_COLOR_INDEXES
;
; PURPOSE:
;	Loads color indexes to allow a color map and known color indexes at the upper range.
;
; ASSUMPTIONS:


; CATEGORY:
;	Plotting Routine. 
;
; CALLING SEQUENCE:
;	PDS_LOAD_COLOR_INDEXES,  
;
; INPUTS:
;   
;
; OUTPUTS:
;
; KEYWORD PARAMETERS:
;
;                       Copyright (C) 2011
; The Johns Hopkins University Applied Physics Laboratory (JHU/APL)
;                       All rights reserved
;
; This material may be used, modified or reproduced by or for the
; U.S. Government pursuant to the license rights granted under
; the clauses at DFARS 252.227-7013/7014.
;
; CREATION:
;       26 Jan 2006, M.B. Kusterer 
;
; MODIFICATION HISTORY:
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; 
PRO PDS_LOAD_COLOR_INDEXES, nlines, colors, lstyles

    colors = INTARR(nlines)
    lstyles = INTARR(nlines)
    col_index =  [0,2,3,4,5,6,7,8,9,10,11,12] ;skips yellow 1, red 3
    ci = 0L
    sty = 0
    FOR N=0,nlines-1 DO BEGIN
        colors(N) = !D.N_COLORS-2-col_index[ci]
        lstyles(N) = 0
        ci = ci + 1
        sty = sty + 1
        IF ci GT 8 THEN BEGIN
            ci = 0L
            sty = 0
        ENDIF
    ENDFOR

RETURN
END
