;+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; Program Name:	pds_mimical_hdr_h.pro
;
; Description:	Header file containing mimi calibration information
;
; Input:   
;
; Output:
;
; Notes:
;                       Copyright (C) 2005
; The Johns Hopkins University Applied Physics Laboratory (JHU/APL)
;                       All rights reserved
;
; This material may be used, modIFied or reproduced by or FOR the
; U.S. Government pursuant to the license rights granted under
; the clauses at DFARS 252.227-7013/7014.
;
;       	
; Change History:
;
; Date		Rev	Programmer	Comments
; ----		---	----------	--------
; 13 April 1999    	M.B. Kusterer   original
; 28 Oct 2007    	M.B. Kusterer   Added LEMMS/CHEMS calibration variables
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

    lemms_sensor = 'LEMMS'
    lemms_particles =   ['P', 'He' ,'O', 'H2','H3','e','C',  'Xray','Ions','ALL']
    lemms_pha_chans = ['A','E','F1']
    oddchan_name = ['E2_F2S','E2/F2S']
    lemms_datatypes = ['ACC', 'PHA', 'FRT']
    LEMMS_NUM_PARTICLES = N_ELEMENTS(lemms_particles)
    
    chems_sensor = 'CHEMS'
    chems_particles = ['H+', 'He+', 'He++' , 'O+', 'O++', 'CNO >4+','MperQ=2','W+']
    purposes = ['ENERGY', 'ENERGY/CHARGE','MASS','MASS/CHARGE', 'GEOM_FACTOR','EFFICIENCY','FOV',$
        'E/NUC_B','BACKGROUND']
        
    chems_datatypes = ['SCI', 'PHA']
    
    chems_channels = ['DPPS', 'MASS', 'MAS/Q','TELESCOPE']
    
    chems_indextypes = ['0','1','2','3','4','5','6',$
        'Double','Triple','Double','Triple','Double','Double',$
        'Double','Triple','Triple','Triple','Double','Triple','Triple','0']
        
    chems_particletypes = ['ALL','ALL','ALL','ALL','ALL','ALL','ALL',$ ;0-6
        'He+','He+','He++','He++','O+','O+', $       ;7-12
        'O+','O+','O+','O+','O++','O++','CNO >4+']  ;13-19
        
    nchems_particles=20
    
    inca_sensor = "INCA"
    inca_particles = ['H','O']
    inca_datatypes = ['IMG','ACC','PHA']
    inca_channels = ['NEU - TOF','ION - TOF','SPATIAL - TOF','TIME - TOF','DETECTOR','PIXEL']
    inca_charges = ['Neutrals','Ions']
    inca_species = ['H+','Ox']
    inca_spat_tof = ['0','7']
	inca_units = ['cntsec','intflux','difflux']
	inca_data_units = ['cntsec','int','dif']
	inca_mTOF_tof = ['0','1','2','3','4','5','6','7']
    inca_file_charge = ['neu','ion']
