;+
; NAME:
;   PDS_ZERO_MIMI_CAL
;
; PURPOSE:
;   This routine sets the lemms and chems calibration numbers to zero. 
;
;
; INPUTS:
;
; OUTPUTS:
;
;                       Copyright (C) 2010
; The Johns Hopkins University Applied Physics Laboratory (JHU/APL)
;                       All rights reserved
;
; This material may be used, modIFied or reproduced by or FOR the
; U.S. Government pursuant to the license rights granted under
; the clauses at DFARS 252.227-7013/7014.
;
; CREATION:
;
;   13 August 2010    M.B. Kusterer Original
;
; MODIFICATION HISTORY:
;-
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
PRO PDS_ZERO_MIMI_CAL, lemms, flemms, chems, fchems, inca, finca

    
@pds_data_hdr_h
@pds_image_hdr_h
@pds_mimical_hdr_h	;has lemms_sensor,lemms_particles,lemms_pha_chans,oddchan_name,lemms_datatypes,
						;LEMMS_NUM_PARTICLES,chems_sensor,chems_particles,purposes,chems_datatypes,chems_channels,
						;chems_indextypes,chems_particletypes,nchems_particles,
						;inca_sensor,inca_particles,inca_datatypes,inca_channels,inca_charges,
						;inca_species,inca_spat_tof
    
    FOR n=0L,MAX_LEMMS_NORMAL_CNTRS-1 DO BEGIN
        FOR i=0L,LEMMS_NUM_PARTICLES-1 DO BEGIN
            lemms.normal[i,n].purpose = ""
            lemms.normal[i,n].datatype = ""
            lemms.normal[i,n].sensor = ""
            lemms.normal[i,n].channel = ""
            lemms.normal[i,n].index = 0
            lemms.normal[i,n].particle = ""
            lemms.normal[i,n].units = ""
            lemms.normal[i,n].low = 0.
            lemms.normal[i,n].high = 0.
            lemms.normal[i,n].delta = 0.
            lemms.normal[i,n].midpoint = 0.
            lemms.normal[i,n].geometry_factor = 0.
            lemms.normal[i,n].efficiency = 0.
            lemms.normal[i,n].max_calib_level = 0
            flemms.normal[i,n].filled[*] = 0
        ENDFOR
    ENDFOR
    FOR n=0,MAX_LEMMS_NORMAL_CNTRS-1 DO BEGIN
        FOR i=0,LEMMS_NUM_PARTICLES-1 DO BEGIN
            lemms.priority[i,n].purpose = ""
            lemms.priority[i,n].datatype = ""
            lemms.priority[i,n].sensor = ""
            lemms.priority[i,n].channel = ""
            lemms.priority[i,n].index = 0
            lemms.priority[i,n].particle = ""
            lemms.priority[i,n].units = ""
            lemms.priority[i,n].low = 0.
            lemms.priority[i,n].high = 0.
            lemms.priority[i,n].delta = 0.
            lemms.priority[i,n].midpoint = 0.
            lemms.priority[i,n].geometry_factor = 0.
            lemms.priority[i,n].efficiency = 0.
            lemms.priority[i,n].max_calib_level = 0
            flemms.priority[i,n].filled[*] = 0
        ENDFOR
    ENDFOR
    FOR i=0,MAX_LEMMSPHA_DET-1 DO BEGIN
        FOR n=0,MAX_LEMMSPHA_NORM+MAX_LEMMSPHA_PRIO-1 DO BEGIN
            lemms.pha[n,i].purpose = ""
            lemms.pha[n,i].datatype = ""
            lemms.pha[n,i].sensor = ""
            lemms.pha[n,i].channel = ""
            lemms.pha[n,i].index = 0
            lemms.pha[n,i].particle = ""
            lemms.pha[n,i].units = ""
            lemms.pha[n,i].low = 0.
            lemms.pha[n,i].high = 0.
            lemms.pha[n,i].delta = 0.
            lemms.pha[n,i].midpoint = 0.
            lemms.pha[n,i].geometry_factor = 0.
            lemms.pha[n,i].efficiency = 0.
            lemms.pha[n,i].max_calib_level = 0
            flemms.pha[n,i].filled[*] = 0
        ENDFOR
    ENDFOR
    FOR n=0,MAX_LEMMS_NORMAL_CNTRS-1 DO BEGIN
        FOR i=0,LEMMS_NUM_PARTICLES-1 DO BEGIN
        	FOR k=0,LEMMS_NUM_PARTICLES-1 DO BEGIN
                	lemms.background[n,i,k].purpose = ""
                	lemms.background[n,i,k].datatype = ""
                	lemms.background[n,i,k].sensor = ""
                	lemms.background[n,i,k].channel = ""
                	lemms.background[n,i,k].index = 0
                	lemms.background[n,i,k].particle = ""
                	lemms.background[n,i,k].units = ""
                	lemms.background[n,i,k].source = ""
                	lemms.background[n,i,k].low = 0.
                	lemms.background[n,i,k].high = 0.
                	lemms.background[n,i,k].delta = 0.
                	lemms.background[n,i,k].midpoint = 0.
                	lemms.background[n,i,k].geometry_factor = 0.
                	lemms.background[n,i,k].efficiency = 0.
                	lemms.background[n,i,k].max_calib_level = 0
                	flemms.background[n,i,k].filled[*] = 0
        	ENDFOR
        ENDFOR
    ENDFOR
    FOR i=0,MAX_LEMMSPHA_DET-1 DO BEGIN
        FOR n=0,MAX_LEMMSPHA_NORM+MAX_LEMMSPHA_PRIO-1 DO BEGIN
            FOR k=0,LEMMS_NUM_BACKGROUNDS-1 DO BEGIN
            lemms.phabackground[n,i,k].purpose = ""
                	lemms.phabackground[n,i,k].datatype = ""
                	lemms.phabackground[n,i,k].sensor = ""
                	lemms.phabackground[n,i,k].channel = ""
                	lemms.phabackground[n,i,k].index = 0
                	lemms.phabackground[n,i,k].particle = ""
                	lemms.phabackground[n,i,k].units = ""
                	lemms.phabackground[n,i,k].source = ""
                	lemms.phabackground[n,i,k].low = 0.
                	lemms.phabackground[n,i,k].high = 0.
                	lemms.phabackground[n,i,k].delta = 0.
                	lemms.phabackground[n,i,k].midpoint = 0.
                	lemms.phabackground[n,i,k].geometry_factor = 0.
                	lemms.phabackground[n,i,k].efficiency = 0.
                	lemms.phabackground[n,i,k].max_calib_level = 0
                	flemms.phabackground[n,i,k].filled[*] = 0
            ENDFOR
        ENDFOR
    ENDFOR
	
    FOR i=0,MAX_SCIENCEBASIC_RATE-1 DO BEGIN
        chems.mass[i].purpose = "" 
        chems.mass[i].datatype =""  
        chems.mass[i].sensor = "" 
        chems.mass[i].channel = "" 
        chems.mass[i].index = 0
        chems.mass[i] .particle = ""
        chems.mass[i].units = ""  
        chems.mass[i].low = 0.  
        chems.mass[i].high = 0.  
        chems.mass[i].delta = 0.  
        chems.mass[i].midpoint = 0.  
        chems.mass[i].geometry_factor = 0.
        chems.mass[i].efficiency = 0. 
        chems.mass[i].max_calib_level = 0 
        fchems.mass[i].filled[*] = 0
        
        
        chems.mass_charge[i].purpose = "" 
        chems.mass_charge[i].datatype =""  
        chems.mass_charge[i].sensor = "" 
        chems.mass_charge[i].channel = "" 
        chems.mass_charge[i].index = 0
        chems.mass_charge[i] .particle = ""
        chems.mass_charge[i].units = ""  
        chems.mass_charge[i].low = 0.  
        chems.mass_charge[i].high = 0.  
        chems.mass_charge[i].delta = 0.  
        chems.mass_charge[i].midpoint = 0.  
        chems.mass_charge[i].geometry_factor = 0.
        chems.mass_charge[i].efficiency = 0. 
        chems.mass_charge[i].max_calib_level = 0 
        fchems.mass_charge[i].filled[*] = 0 
    ENDFOR
    FOR i=0,MAX_DPPS-1 DO BEGIN
        chems.mass_charge[i].purpose = "" 
        chems.dpps_sci[i].datatype =""  
        chems.dpps_sci[i].sensor = "" 
        chems.dpps_sci[i].channel = "" 
        chems.dpps_sci[i].index = 0
        chems.dpps_sci[i] .particle = ""
        chems.dpps_sci[i].units = ""  
        chems.dpps_sci[i].low = 0.  
        chems.dpps_sci[i].high = 0.  
        chems.dpps_sci[i].delta = 0.  
        chems.dpps_sci[i].midpoint = 0.  
        chems.dpps_sci[i].geometry_factor = 0.
        chems.dpps_sci[i].efficiency = 0. 
        chems.dpps_sci[i].max_calib_level = 0
        fchems.dpps_sci[i].filled[*] = 0
        FOR j=0,N_ELEMENTS(chems.dpps_sci_eff[0,*])-1 DO BEGIN
            chems.dpps_sci_eff[i,j].purpose = "" 
            chems.dpps_sci_eff[i,j].datatype =""  
            chems.dpps_sci_eff[i,j].sensor = "" 
            chems.dpps_sci_eff[i,j].channel = "" 
            chems.dpps_sci_eff[i,j].index = 0
            chems.dpps_sci_eff[i,j] .particle = ""
            chems.dpps_sci_eff[i,j].units = ""  
            chems.dpps_sci_eff[i,j].low = 0.  
            chems.dpps_sci_eff[i,j].high = 0.  
            chems.dpps_sci_eff[i,j].delta = 0.  
            chems.dpps_sci_eff[i,j].midpoint = 0.  
            chems.dpps_sci_eff[i,j].geometry_factor = 0.
            chems.dpps_sci_eff[i,j].efficiency = 0. 
            chems.dpps_sci_eff[i,j].max_calib_level = 0
            fchems.dpps_sci_eff[i,j].filled[*] = 0
        ENDFOR
        chems.dpps_pha[i].purpose = "" 
        chems.dpps_pha[i].datatype =""  
        chems.dpps_pha[i].sensor = "" 
        chems.dpps_pha[i].channel = "" 
        chems.dpps_pha[i].index = 0
        chems.dpps_pha[i] .particle = ""
        chems.dpps_pha[i].units = ""  
        chems.dpps_pha[i].low = 0.  
        chems.dpps_pha[i].high = 0.  
        chems.dpps_pha[i].delta = 0.  
        chems.dpps_pha[i].midpoint = 0.  
        chems.dpps_pha[i].geometry_factor = 0.
        chems.dpps_pha[i].efficiency = 0. 
        chems.dpps_pha[i].max_calib_level = 0
        fchems.dpps_pha[i].filled[*] = 0
    ENDFOR
    FOR i=0,3 DO BEGIN
        chems.telescope_gf[i].datatype =""  
        chems.telescope_gf[i].sensor = "" 
        chems.telescope_gf[i].channel = "" 
        chems.telescope_gf[i].index = 0
        chems.telescope_gf[i] .particle = ""
        chems.telescope_gf[i].units = ""  
        chems.telescope_gf[i].low = 0.  
        chems.telescope_gf[i].high = 0.  
        chems.telescope_gf[i].delta = 0.  
        chems.telescope_gf[i].midpoint = 0.  
        chems.telescope_gf[i].geometry_factor = 0.
        chems.telescope_gf[i].efficiency = 0. 
        chems.telescope_gf[i].max_calib_level = 0
        fchems.telescope_gf[i].filled[*] = 0
    ENDFOR 
    chems.telescope_fov.datatype =""  
    chems.telescope_fov.sensor = "" 
    chems.telescope_fov.channel = "" 
    chems.telescope_fov.index = 0
    chems.telescope_fov .particle = ""
    chems.telescope_fov.units = ""  
    chems.telescope_fov.low = 0.  
    chems.telescope_fov.high = 0.  
    chems.telescope_fov.delta = 0.  
    chems.telescope_fov.midpoint = 0.  
    chems.telescope_fov.geometry_factor = 0.
    chems.telescope_fov.efficiency = 0. 
    chems.telescope_fov.max_calib_level = 0
    fchems.telescope_fov.filled[*] = 0
        
    
    FOR n=0,NUM_SPATIAL_TOF-1 DO BEGIN
    	FOR i=0,NUM_SPATIAL_SPECIES-1 DO BEGIN
            inca.image.spatial[n,i].purpose = ""
            inca.image.spatial[n,i].datatype = ""
            inca.image.spatial[n,i].sensor = ""
            inca.image.spatial[n,i].channel = ""
            inca.image.spatial[n,i].index = 0
            inca.image.spatial[n,i].particle = ""
            inca.image.spatial[n,i].units = ""
            inca.image.spatial[n,i].source = ""
            inca.image.spatial[n,i].low = 0.
            inca.image.spatial[n,i].high = 0.
            inca.image.spatial[n,i].delta = 0.
            inca.image.spatial[n,i].midpoint = 0.
            inca.image.spatial[n,i].geometry_factor = 0.
            inca.image.spatial[n,i].efficiency = 0.
            inca.image.spatial[n,i].max_calib_level = 0
            finca.image.spatial[n,i].filled[*] = 0
            inca.background.spatial[n,i].purpose = ""
            inca.background.spatial[n,i].datatype = ""
            inca.background.spatial[n,i].sensor = ""
            inca.background.spatial[n,i].channel = ""
            inca.background.spatial[n,i].index = 0
            inca.background.spatial[n,i].particle = ""
            inca.background.spatial[n,i].units = ""
            inca.background.spatial[n,i].source = ""
            inca.background.spatial[n,i].low = 0.
            inca.background.spatial[n,i].high = 0.
            inca.background.spatial[n,i].delta = 0.
            inca.background.spatial[n,i].midpoint = 0.
            inca.background.spatial[n,i].geometry_factor = 0.
            inca.background.spatial[n,i].efficiency = 0.
            inca.background.spatial[n,i].max_calib_level = 0
            finca.background.spatial[n,i].filled[*] = 0
        ENDFOR
    ENDFOR

	FOR n=0,NUM_TIME_TOF-1 DO BEGIN
    	FOR i=0,NUM_TIME_CHARGES-1 DO BEGIN
            inca.image.time[n,i].purpose = ""
            inca.image.time[n,i].datatype = ""
            inca.image.time[n,i].sensor = ""
            inca.image.time[n,i].channel = ""
            inca.image.time[n,i].index = 0
            inca.image.time[n,i].particle = ""
            inca.image.time[n,i].units = ""
            inca.image.time[n,i].source = ""
            inca.image.time[n,i].low = 0.
            inca.image.time[n,i].high = 0.
            inca.image.time[n,i].delta = 0.
            inca.image.time[n,i].midpoint = 0.
            inca.image.time[n,i].geometry_factor = 0.
            inca.image.time[n,i].efficiency = 0.
            inca.image.time[n,i].max_calib_level = 0
            finca.image.time[n,i].filled[*] = 0
            inca.background.time[n,i].purpose = ""
            inca.background.time[n,i].datatype = ""
            inca.background.time[n,i].sensor = ""
            inca.background.time[n,i].channel = ""
            inca.background.time[n,i].index = 0
            inca.background.time[n,i].particle = ""
            inca.background.time[n,i].units = ""
            inca.background.time[n,i].source = ""
            inca.background.time[n,i].low = 0.
            inca.background.time[n,i].high = 0.
            inca.background.time[n,i].delta = 0.
            inca.background.time[n,i].midpoint = 0.
            inca.background.time[n,i].geometry_factor = 0.
            inca.background.time[n,i].efficiency = 0.
            inca.background.time[n,i].max_calib_level = 0
            finca.background.time[n,i].filled[*] = 0
        ENDFOR
    ENDFOR

	FOR n=0,NUM_TOF_TOF-1 DO BEGIN
    	FOR i=0,NUM_TOF_SPECIES-1 DO BEGIN
    		FOR j=0,NUM_TOF_CHARGES-1 DO BEGIN
            	inca.image.tof[n,i,j].purpose = ""
            	inca.image.tof[n,i,j].datatype = ""
            	inca.image.tof[n,i,j].sensor = ""
            	inca.image.tof[n,i,j].channel = ""
            	inca.image.tof[n,i,j].index = 0
            	inca.image.tof[n,i,j].particle = ""
            	inca.image.tof[n,i,j].units = ""
            	inca.image.tof[n,i,j].source = ""
            	inca.image.tof[n,i,j].low = 0.
            	inca.image.tof[n,i,j].high = 0.
            	inca.image.tof[n,i,j].delta = 0.
            	inca.image.tof[n,i,j].midpoint = 0.
            	inca.image.tof[n,i,j].geometry_factor = 0.
            	inca.image.tof[n,i,j].efficiency = 0.
            	inca.image.tof[n,i,j].max_calib_level = 0
            	finca.image.tof[n,i,j].filled[*] = 0
            	inca.background.tof[n,i,j].purpose = ""
            	inca.background.tof[n,i,j].datatype = ""
            	inca.background.tof[n,i,j].sensor = ""
            	inca.background.tof[n,i,j].channel = ""
            	inca.background.tof[n,i,j].index = 0
            	inca.background.tof[n,i,j].particle = ""
            	inca.background.tof[n,i,j].units = ""
            	inca.background.tof[n,i,j].source = ""
            	inca.background.tof[n,i,j].low = 0.
            	inca.background.tof[n,i,j].high = 0.
            	inca.background.tof[n,i,j].delta = 0.
            	inca.background.tof[n,i,j].midpoint = 0.
            	inca.background.tof[n,i,j].geometry_factor = 0.
            	inca.background.tof[n,i,j].efficiency = 0.
            	inca.background.tof[n,i,j].max_calib_level = 0
            	finca.background.tof[n,i,j].filled[*] = 0
        	ENDFOR
        ENDFOR
    ENDFOR
	
    inca.enuc_b.datatype =""  
    inca.enuc_b.sensor = "" 
    inca.enuc_b.channel = "" 
    inca.enuc_b.index = 0
    inca.enuc_b .particle = ""
    inca.enuc_b.units = ""  
    inca.enuc_b.low = 0.  
    inca.enuc_b.high = 0.  
    inca.enuc_b.delta = 0.  
    inca.enuc_b.midpoint = 0.  
    inca.enuc_b.geometry_factor = 0.
    inca.enuc_b.efficiency = 0. 
    inca.enuc_b.max_calib_level = 0
    finca.enuc_b.filled[*] = 0
	

	FOR n=0,NUM_INCA_GF_DATATYPES-1 DO BEGIN
    	FOR i=0,NUM_INCA_GF_SPECIES-1 DO BEGIN
            inca.geometry[n,i].purpose = ""
            inca.geometry[n,i].datatype = ""
            inca.geometry[n,i].sensor = ""
            inca.geometry[n,i].channel = ""
            inca.geometry[n,i].index = 0
            inca.geometry[n,i].particle = ""
            inca.geometry[n,i].units = ""
            inca.geometry[n,i].source = ""
            inca.geometry[n,i].low = 0.
            inca.geometry[n,i].high = 0.
            inca.geometry[n,i].delta = 0.
            inca.geometry[n,i].midpoint = 0.
            inca.geometry[n,i].geometry_factor = 0.
            inca.geometry[n,i].efficiency = 0.
            inca.geometry[n,i].max_calib_level = 0
            finca.geometry[n,i].filled[*] = 0
        ENDFOR
    ENDFOR
RETURN
END
