;+
; NAME:
;	UTC2JSECS
;
; PURPOSE:
;	Convert UTC into julian seconds
;   
; NOTE: 
;
; CATEGORY:
;	Plotting Structure File. 
;
; CALLING SEQUENCE:
;	jsecs = UTC2JSECS(utc)
;
; INPUTS:
;   utc     String UTC, yyyy-doyThh:mm:ss.msc
;
; KEYWORD PARAMETERS:
;
;
;
;
;                       Copyright (C) 2011
; The Johns Hopkins University Applied Physics Laboratory (JHU/APL)
;                       All rights reserved
;
; This material may be used, modified or reproduced by or for the
; U.S. Government pursuant to the license rights granted under
; the clauses at DFARS 252.227-7013/7014.
;
; CREATION:
;       1 Jun 2011, M.B. Kusterer 
;
; MODIFICATION HISTORY: 
;-
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
PRO TEST_GJS

    utcs = ['1999-001T12:00:00',$
	'2000-001T11:58:55.444',$
	'2000-001T00:00:00',$
	'2005-365T23:59:59.999',$
	'2006-001T00:00:00.000',$
	'2008-366T23:59:59.999',$
	'2009-001T00:00:00.000',$
	'2011-200T12:02:33.555',$
	'2018-200T12:20:15.234']
    FOR n=0,N_ELEMENTS(utcs)-1 DO BEGIN
        print,utcs[n],UTC2JSECS(utcs[n]),JSECS2UTC(UTC2JSECS(utcs[n])),format='(A23,F23.8,A23)'
    ENDFOR
rETURN
END

FUNCTION UTC2JSECS, utc
;print,'utc '+utc
    ;convert utc string to numbers
	TIMESTR2NUM, utc, year, doy, hour, min, sec, msec 
    YDN2MD, year, doy, m, d
    
    ;total seconds for just time
    s = 3600.d*double(hour) + 60.d*double(min) + double(sec) + double(msec)/1000. 
    
    ;get julian seconds 0:00 1 Jan 2000 and adjust to get 12 noon
    jsecs = double(YMDS2JS(year, m, d, s)) - 60.d*60.d*12.d  


    ;print,'jsecs',jsecs,format='(A23,f23.8)'
RETURN,jsecs
END
